Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Alan Third <[email-masked]>
Date: Sat, 16 Apr 2022 17:02:04 +0100

On Sat, Apr 16, 2022 at 11:27:52AM -0400, Howard Melman wrote:
> On Apr 16, 2022, at 10:55 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> > 
> > Lars Ingebrigtsen <[email-masked]> writes:
> > 
> >> I'm unable to reproduce this on Debian with emacs -Q in 28.1, so I guess
> >> it depends on the font selection code?
> > 
> > But I can reproduce it on Macos.  I forget whether this is supposed to
> > work out of the box, or whether you have to set the fontset things on
> > Macos.  Alan probably knows; I've added him to the CCs.
> 
> For me in vanilla emacs -Q other emojis like 0x1f468 "MAN" and 
> 0x1f415 "DOG" display out of the box in Apple Color Emoji.  
> So I would think this should too.

I think it's somewhat inconsistent if you don't set the font:

    (set-fontset-font t 'symbol "Apple Color Emoji")

Please let us know if that makes any difference.
-- 
Alan Third